using System.Data;
using Microsoft.Data.Sqlite;
using Microsoft.Extensions.Configuration;

namespace FastBlog.Core.Db;

public class SqliteConnectionFactory(IConfiguration configuration)
{
    public IDbConnection Create() =>
        new SqliteConnection(configuration.GetConnectionString("Sqlite"));
}